<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
    <artifactId>platform-manager</artifactId>
    <version>1.10.1</version>
  </parent>
  <artifactId>platform-manager-core</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: MANAGER :: CORE</name>
  <description>ENTAXY :: PLATFORM :: MANAGER :: CORE</description>
  
  <properties>
	<bundle.osgi.export.pkg>
		ru.entaxy.platform.manager	
	</bundle.osgi.export.pkg>
	<bundle.osgi.private.pkg>
		ru.entaxy.platform.manager.*
	</bundle.osgi.private.pkg>
	<bundle.osgi.remove.headers>none</bundle.osgi.remove.headers>
  </properties>
  
  <dependencies>
	  <dependency>
		  <groupId>org.apache.felix</groupId>
		  <artifactId>org.apache.felix.healthcheck.api</artifactId>
		  <version>2.0.4</version>
	  </dependency>
	  <dependency>
		  <groupId>org.apache.karaf.features</groupId>
		  <artifactId>org.apache.karaf.features.core</artifactId>
		  <version>${karaf.version}</version>
	  </dependency>	  
	  	<dependency>	
			<groupId>org.apache.karaf.shell</groupId>
	  		<artifactId>org.apache.karaf.shell.core</artifactId>
	  		<version>${karaf.version}</version>
	  	</dependency>	  
  </dependencies>
  
</project>
